Skip to content
中文

GET /v1/gpts/

Method: GETEndpoint: /v1/gpts/

Search GPT details by ID

Request Parameters

Query Parameters

text
id
string
Optional
  // provider-specific example normalized for English documentation
Example:
g-k3IqoCe1l

Header Parameters

text
Content-Type
string
Optional
Example:
application/json
Accept
string
Optional
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Example Request

Shell

bash
curl --location --request GET '/v1/gpts/?id=g-k3IqoCe1l' \
--header 'Accept:  application/json' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type:  application/json'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
object

Example

json
{
    "code": 0,
    "msg": "ok",
    "sn": "cb33e437d0a9ad727c9b27f61b5be06c",
    "data": {
        "gizmo": {
            "id": "g-k3IqoCe1l",
            "organization_id": "org-BKYs92E7s4KWVUjfmhwsPNf1",
            "short_url": "g-k3IqoCe1l-code-guru",
            "author": {
                "user_id": "user-yp9DLIPtuakcBWOr0ESzYdup",
                "display_name": "Ryan J Topps",
                "link_to": null,
                "is_verified": true,
                "selected_display": "name",
                "will_receive_support_emails": null,
                "display_socials": []
            },
            "voice": {
                "id": "ember"
            },
            "workspace_id": null,
            "model": null,
            "instructions": null,
            "settings": null,
            "display": {
                "name": "Code Guru",
                "description": "Reviews code, writes pull requests, generates and optimizes functions, writes tests, and comments existing code.",
                "prompt_starters": [
                    "Can you review this code snippet?",
                    "Can you please write a pull request for this code?",
                    "Can you please generate me a function that I will describe in the next prompt and write unit tests for it?",
                    "Can you write the unit tests for this code?",
                    "Can you add comments to this code?",
                    "Can you optimize this code with changing it interface?",
                    "Can you optimize this code?"
                ],
                "profile_pic_id": null,
                "profile_picture_url": "https://filesystem.site/cdn/20240229/lD2eG7A2Gqzf7zcDWvqyxJMU3WlHsJ.png",
                "categories": [
                    "programming"
                ]
            },
            "share_recipient": "marketplace",
            "created_at": "2023-11-12T04:45:07.116011+00:00",
            "updated_at": "2024-02-07T19:49:30.003342+00:00",
            "last_interacted_at": "2024-03-04T15:47:26.281112+00:00",
            "num_interactions": 5,
            "tags": [
                "public",
                "reportable"
            ],
            "version": null,
            "live_version": null,
            "training_disabled": null,
            "sharing_targets": null,
            "appeal_info": null,
            "vanity_metrics": {
                "num_conversations": null,
                "num_conversations_str": "25K+",
                "num_pins": 0,
                "created_ago_str": "3 months ago",
                "review_stats": {
                    "total": 940,
                    "count": 220
                }
            },
            "workspace_approval_date": null,
            "workspace_approved": null,
            "sharing": null,
            "current_user_permission": {
                "can_read": true,
                "can_view_config": false,
                "can_write": false,
                "can_delete": false,
                "can_export": false,
                "can_share": false
            }
        },
        "tools": [
            {
                "id": "gzm_cnf_zQCN7ugC8upyTIRGEUWWY0ko~gzm_tool_jBdkrHIaLUxsvelKd2InXyR9",
                "type": "python",
                "settings": null,
                "metadata": null
            },
            {
                "id": "gzm_cnf_zQCN7ugC8upyTIRGEUWWY0ko~gzm_tool_KG7bgk2POTbiYWdGTjT12plr",
                "type": "dalle",
                "settings": null,
                "metadata": null
            },
            {
                "id": "gzm_cnf_zQCN7ugC8upyTIRGEUWWY0ko~gzm_tool_5TXvs08GHMjmJL7JAsHzipF2",
                "type": "browser",
                "settings": null,
                "metadata": null
            }
        ],
        "files": [],
        "product_features": {
            "attachments": {
                "type": "retrieval",
                "accepted_mime_types": [
                    "text/x-tex",
                    "application/msword",
                    "application/x-latext",
                    "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
                    "text/x-php",
                    "text/x-csharp",
                    "text/x-typescript",
                    "text/html",
                    "text/x-c",
                    "text/x-ruby",
                    "text/plain",
                    "text/x-sh",
                    "text/markdown",
                    "text/x-script.python",
                    "application/vnd.openxmlformats-officedocument.presentationml.presentation",
                    "text/x-java",
                    "text/x-c++",
                    "text/javascript",
                    "application/pdf",
                    "application/json"
                ],
                "image_mime_types": [
                    "image/webp",
                    "image/jpeg",
                    "image/gif",
                    "image/png"
                ],
                "can_accept_all_mime_types": true
            }
        }
    }
}